package com.huiju.welcome.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.model.SysRole;
import com.huiju.welcome.model.SysUser;
import com.huiju.welcome.model.SysUserRole;
import com.huiju.welcome.model.TaVisitorAppointment;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
public interface ISysUserService extends IService<SysUser> {

    SysUser getDetailByLoginname(String username);

    SysUser getByPhone(String phone);

    /**
     * 树形
     * @return
     */
    ResponseBean userRoleTree();

    /**
     * 员工管理列表
     * @param pg
     * @param userName
     * @param phone
     * @return
     */
    ResponseBean userManagementList(IPage<SysUserRole> pg, String userName, String phone);

    /**
     * 角色管理列表
     * @param pg
     * @param roleName
     * @return
     */
    ResponseBean roleManagementList(IPage<SysRole> pg, String roleName);

    Map<String,Object> getProfileWithRights(Integer userId);
}
